{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/1.0"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"connectivity.eligibility.MeetingCapacities":{"type":"object","description":"Represents meeting booking options","properties":{"eRdv":{"type":"boolean","description":"Whether or not it is possible to book a meeting online","readOnly":true},"phoneCall":{"type":"boolean","description":"Whether or not it is possible to be be called by phone to book a meeting","readOnly":true}}},"connectivity.eligibility.MeetingSlot":{"type":"object","description":"Represents a time slot for a meeting","properties":{"endDate":{"type":"string","description":"End date","format":"date-time","readOnly":true},"slotId":{"type":"string","description":"Represent a meeting id for a fiber collect operator","nullable":true,"readOnly":true},"startDate":{"type":"string","description":"Start date","format":"date-time","readOnly":true},"uiCode":{"type":"string","description":"An opaque string that represents an intervention unit","nullable":true,"readOnly":true}}},"connectivity.eligibility.Meetings":{"type":"object","description":"List of available meeting time slots","properties":{"canBookFakeMeeting":{"type":"boolean","description":"Whether or not it is possible to book a fake meeting","readOnly":true},"capacities":{"allOf":[{"$ref":"#/components/schemas/connectivity.eligibility.MeetingCapacities"}],"description":"Represents meeting booking options","readOnly":true},"meetingSlots":{"type":"array","description":"A time slot","items":{"$ref":"#/components/schemas/connectivity.eligibility.MeetingSlot"},"readOnly":true}}},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"},"xdsl.AsyncTaskStatusEnum":{"type":"string","description":"AsyncTask status","enum":["error","ok","pending"]},"xdsl.AsyncTask_connectivity.eligibility.Meetings":{"type":"object","description":"xdsl.AsyncTask_connectivity.eligibility.Meetings","properties":{"error":{"type":"string","nullable":true,"readOnly":true},"result":{"allOf":[{"$ref":"#/components/schemas/connectivity.eligibility.Meetings"}],"description":"List of available meeting time slots","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/xdsl.AsyncTaskStatusEnum"}],"description":"AsyncTask status","readOnly":true}}},"xdsl.CopperGridClosureTrajectory":{"type":"object","description":"Copper grid closure trajectory","properties":{"commercialClosureAnnouncementDate":{"type":"string","description":"Commercial closure announcement date","nullable":true,"format":"date","readOnly":true},"commercialClosureDate":{"type":"string","description":"Commercial closure date","nullable":true,"format":"date","readOnly":true},"commercialClosureInitialDate":{"type":"string","description":"Commercial closure initial date","nullable":true,"format":"date","readOnly":true},"departmentCode":{"type":"string","description":"Department code","readOnly":true},"departmentName":{"type":"string","description":"Department name","nullable":true,"readOnly":true},"ftthZone":{"type":"string","description":"FTTH zone","nullable":true,"readOnly":true},"inseeCode":{"type":"string","description":"INSEE code","readOnly":true},"lot":{"type":"string","description":"Lot","nullable":true,"readOnly":true},"municipalityName":{"type":"string","description":"Municipality name","readOnly":true},"oiCode":{"type":"string","description":"OI code","nullable":true,"readOnly":true},"oiName":{"type":"string","description":"OI name","nullable":true,"readOnly":true},"technicalClosureAnnouncementDate":{"type":"string","description":"Technical closure announcement date","nullable":true,"format":"date","readOnly":true},"technicalClosureDate":{"type":"string","description":"Technical closure date","nullable":true,"format":"date","readOnly":true},"technicalClosureInitialDate":{"type":"string","description":"Technical closure initial date","nullable":true,"format":"date","readOnly":true}}},"xdsl.CopperNraClosureTrajectory":{"type":"object","description":"Copper NRA closure trajectory","properties":{"inseeCode":{"type":"string","description":"INSEE code","nullable":true,"readOnly":true},"lot":{"type":"string","description":"Lot","nullable":true,"readOnly":true},"nra":{"type":"string","description":"NRA","readOnly":true},"operator":{"type":"string","description":"Operator","readOnly":true},"referer":{"type":"string","description":"Referer","nullable":true,"readOnly":true},"technicalClosureDate":{"type":"string","description":"Technical closure date","nullable":true,"format":"date","readOnly":true}}},"xdsl.ExtraIpRangeMove":{"type":"object","description":"Informations about the extra IP range during address move","properties":{"date":{"type":"string","description":"Date of the migration","format":"date-time","readOnly":true},"ipRange":{"allOf":[{"$ref":"#/components/schemas/ipv4Block"}],"description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","readOnly":true},"moveTo":{"type":"string","description":"Access where the IP range will be moved to","readOnly":true}}},"xdsl.FiberEligibility":{"type":"object","description":"Fiber eligibility","properties":{"availabilityDate":{"type":"string","description":"Availability date","nullable":true,"format":"date-time","readOnly":true},"buildingName":{"type":"string","description":"Building name","nullable":true,"readOnly":true},"buildingReference":{"type":"string","description":"Building reference","nullable":true,"readOnly":true},"buildingSeqId":{"type":"integer","description":"Building sequence id","nullable":true,"readOnly":true},"copperGridClosureTrajectory":{"allOf":[{"$ref":"#/components/schemas/xdsl.CopperGridClosureTrajectory"}],"description":"Copper grid closure trajectory","nullable":true,"readOnly":true},"copperNraClosureTrajectory":{"allOf":[{"$ref":"#/components/schemas/xdsl.CopperNraClosureTrajectory"}],"description":"Copper NRA closure trajectory","nullable":true,"readOnly":true},"firstCopperClosure":{"allOf":[{"$ref":"#/components/schemas/xdsl.FirstCopperClosure"}],"description":"First copper closure details, if applicable","nullable":true,"readOnly":true},"firstEligibleDate":{"type":"string","description":"First eligible date","nullable":true,"format":"date-time","readOnly":true},"grts":{"type":"array","description":"Available GRTs","nullable":true,"items":{"$ref":"#/components/schemas/xdsl.GtrEnum"},"readOnly":true},"id":{"type":"integer","description":"Identifier","readOnly":true},"lastUpdate":{"type":"string","description":"Last update date","format":"date-time","readOnly":true},"offer":{"allOf":[{"$ref":"#/components/schemas/xdsl.Offer"}],"description":"Offer","nullable":true,"readOnly":true},"provider":{"allOf":[{"$ref":"#/components/schemas/xdsl.Provider"}],"description":"Provider","nullable":true,"readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/xdsl.FiberEligibilityStatusEnum"}],"description":"Status","readOnly":true}}},"xdsl.FiberEligibilityStatusEnum":{"type":"string","description":"Status of the fiber eligibility","enum":["eligible","no_building","not_eligible","not_yet_eligible"]},"xdsl.FirstCopperClosure":{"type":"object","description":"First copper closure details, if applicable","properties":{"date":{"type":"string","description":"Date","format":"date","readOnly":true},"referer":{"type":"string","description":"Referer","readOnly":true}}},"xdsl.GtrEnum":{"type":"string","description":"GRT option for an access.","enum":["10ho","20m_10ho","20m_4ho","4hno","4ho","5m_10ho","5m_4ho","dplus1","none"]},"xdsl.Offer":{"type":"object","description":"Details of a provider","properties":{"code":{"type":"string","description":"Offer code","readOnly":true},"name":{"type":"string","description":"Offer name","readOnly":true}}},"xdsl.Provider":{"type":"object","description":"Details of a provider","properties":{"code":{"type":"string","description":"Provider code","readOnly":true},"name":{"type":"string","description":"Provider name","readOnly":true}}},"xdsl.Task":{"type":"object","description":"Describes the current status of a task","properties":{"doneDate":{"type":"string","description":"Date when the action was completed","nullable":true,"format":"date-time","readOnly":true},"function":{"type":"string","readOnly":true},"id":{"type":"integer","readOnly":true},"isArchived":{"type":"boolean","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/xdsl.TaskStatusEnum"}],"readOnly":true},"todoDate":{"type":"string","description":"Date when the action will start","format":"date-time","readOnly":true},"updateDate":{"type":"string","format":"date-time","readOnly":true}}},"xdsl.TaskStatusEnum":{"type":"string","description":"Status of a task.","enum":["cancelled","doing","done","error","problem","todo"]},"xdsl.orderFollowup.DurationUnitEnum":{"type":"string","description":"The duration units","enum":["day","hour","minute"]},"xdsl.orderFollowup.Step":{"type":"object","description":"A step of the order process","properties":{"comments":{"type":"array","items":{"type":"string"},"readOnly":true},"doneDate":{"type":"string","nullable":true,"format":"date-time","readOnly":true},"durationUnit":{"allOf":[{"$ref":"#/components/schemas/xdsl.orderFollowup.DurationUnitEnum"}],"description":"The duration units","readOnly":true},"expectedDuration":{"type":"integer","readOnly":true},"name":{"allOf":[{"$ref":"#/components/schemas/xdsl.orderFollowup.StepNameEnum"}],"description":"The status of an order step","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/xdsl.orderFollowup.StepStatusEnum"}],"description":"The status of an order step","readOnly":true}}},"xdsl.orderFollowup.StepNameEnum":{"type":"string","description":"The status of an order step","enum":["accessIsOperational","checkInfrastructure","configureAccessOnOVH","orderPayed","orderReceived","orderTreatment","sendModem","sendOrderToProvider","setupCustomerPremisesEquipment","waitingForProviderInstallReport","waitingForWithdrawalPeriodToBeOver"]},"xdsl.orderFollowup.StepStatusEnum":{"type":"string","description":"The status of an order step","enum":["doing","done","error","todo","waitingCustomer"]},"xdsl.orderMeeting.post":{"type":"object","description":"xdsl.orderMeeting.post","properties":{"endDate":{"type":"string","description":"Meeting end date","format":"date-time"},"startDate":{"type":"string","description":"Meeting start date","format":"date-time"},"uiCode":{"type":"string","description":"Meeting ui code ( code linked to the meeting returned by POST /xdsl/{serviceName}/orderMeetings )"}},"required":["endDate","startDate","uiCode"]},"xdsl.updateInvalidOrMissingRio.post":{"type":"object","description":"xdsl.updateInvalidOrMissingRio.post","properties":{"relaunchWithoutPortability":{"type":"boolean","description":"Do not set RIO, and relaunch order without portability"},"rio":{"type":"string","description":"RIO number for portability"}},"required":["relaunchWithoutPortability"]}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/xdsl/{serviceName}/addressMove/extraIpRange":{"get":{"summary":"Get the extra IP range move of an xDSL access","description":"Returns the extra IP range of the access, the access it will be moved to and the date of the move.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Service name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/xdsl.ExtraIpRangeMove"}}}}},"x-developer-hub-navigation":[["Web Cloud","Internet","Access","Order & Installation@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/xdsl/{serviceName}/addressMove/extraIpRange\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/xdsl/{serviceName}/addressMove/extraIpRange\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"xdsl:apiovh:addressMove/extraIpRange/get","required":true}]}},"/xdsl/{serviceName}/addressMove/extraIpRangeMove":{"post":{"summary":"Move the extra IP range of an xDSL access","description":"Starts the move of the extra IP range of the access to its new access after an address move. Returns the task that performs the change.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Service name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/xdsl.Task"}}}}},"x-developer-hub-navigation":[["Web Cloud","Internet","Access","Order & Installation@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/xdsl/{serviceName}/addressMove/extraIpRangeMove\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/xdsl/{serviceName}/addressMove/extraIpRangeMove\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"xdsl:apiovh:addressMove/extraIpRangeMove","required":true}]}},"/xdsl/{serviceName}/fiberEligibilities":{"get":{"summary":"List the fiber eligibilities of an xDSL access","description":"Returns the IDs of the fiber eligibility checks of the access address. Filter by status: eligible, not_eligible, not_yet_eligible or no_building.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Service name","required":true,"schema":{"type":"string"}},{"in":"query","name":"status","description":"Filter the value of status property (=)","schema":{"$ref":"#/components/schemas/xdsl.FiberEligibilityStatusEnum"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"type":"integer"}}}}}},"x-developer-hub-navigation":[["Web Cloud","Internet","Access","Order & Installation@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/xdsl/{serviceName}/fiberEligibilities\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/xdsl/{serviceName}/fiberEligibilities\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"xdsl:apiovh:fiberEligibilities/get","required":true}],"x-expanded-response":"XdslFiberEligibility"}},"/xdsl/{serviceName}/fiberEligibilities/{id}":{"get":{"summary":"Get a fiber eligibility of an xDSL access","description":"Returns the fiber offer, provider, status, building and availability date of the access address, and the copper network closure schedule.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"id","description":"Id","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Service name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/xdsl.FiberEligibility"}}}}},"x-developer-hub-navigation":[["Web Cloud","Internet","Access","Order & Installation@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/xdsl/{serviceName}/fiberEligibilities/{id}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/xdsl/{serviceName}/fiberEligibilities/{id}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"xdsl:apiovh:fiberEligibilities/get","required":true}]}},"/xdsl/{serviceName}/orderFollowup":{"get":{"summary":"Get the status of the order of this access","description":"**Deprecated**: use `/pack/xdsl/{packName}/orderFollowup` instead. This endpoint will be deleted on 2027-01-01.","deprecated":true,"x-deprecation-date":"2026-09-29T00:00:00Z","x-deletion-date":"2027-01-01T00:00:00Z","x-replacement-route":"/pack/xdsl/{packName}/orderFollowup","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Service name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/xdsl.orderFollowup.Step"}}}}}},"x-developer-hub-navigation":[["Web Cloud","Internet","Access","Order & Installation@@@20"]],"x-badges":[{"color":"red","label":"Deprecated, will be removed"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/xdsl/{serviceName}/orderFollowup\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/xdsl/{serviceName}/orderFollowup\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"xdsl:apiovh:orderFollowup/get","required":true}]}},"/xdsl/{serviceName}/orderMeeting":{"post":{"operationId":"bookMeeting","summary":"Book an installation meeting","description":"Books one of the time slots returned by searchOrderMeetings for the access and relaunches its order.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Service name","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/xdsl.orderMeeting.post"}}}},"responses":{"200":{"description":"successful operation"}},"x-developer-hub-navigation":[["Web Cloud","Internet","Access","Order & Installation@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: xdsl.orderMeeting.post\nresult = client.post(\"/xdsl/{serviceName}/orderMeeting\",\n\tendDate = None, # Meeting end date (type: string)\n\tstartDate = None, # Meeting start date (type: string)\n\tuiCode = None, # Meeting ui code ( code linked to the meeting returned by POST /xdsl/{serviceName}/orderMeetings ) (type: string)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: xdsl.orderMeeting.post\n$result = $ovh->post(\"/xdsl/{serviceName}/orderMeeting\", array(\n\tendDate => null, // Meeting end date (type: string)\n\tstartDate => null, // Meeting start date (type: string)\n\tuiCode => null, // Meeting ui code ( code linked to the meeting returned by POST /xdsl/{serviceName}/orderMeetings ) (type: string)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"xdsl:apiovh:orderMeeting/create","required":true}]}},"/xdsl/{serviceName}/searchOrderMeetings":{"post":{"summary":"Search the installation meeting slots of an order","description":"Returns, as an asynchronous task, the available time slots for the line creation meeting of the access order.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Service name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/xdsl.AsyncTask_connectivity.eligibility.Meetings"}}}}},"x-developer-hub-navigation":[["Web Cloud","Internet","Access","Order & Installation@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/xdsl/{serviceName}/searchOrderMeetings\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/xdsl/{serviceName}/searchOrderMeetings\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"xdsl:apiovh:searchOrderMeetings","required":true}]}},"/xdsl/{serviceName}/sendOrderToProvider":{"post":{"summary":"Unlock an order waiting for the customer","description":"Sends to the provider an order in waitingCustomer status. Only applies to orders whose modem was sent before anything was forwarded to the provider.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Service name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation"}},"x-developer-hub-navigation":[["Web Cloud","Internet","Access","Order & Installation@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/xdsl/{serviceName}/sendOrderToProvider\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/xdsl/{serviceName}/sendOrderToProvider\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"xdsl:apiovh:sendOrderToProvider","required":true}]}},"/xdsl/{serviceName}/updateInvalidOrMissingRio":{"post":{"operationId":"updateRIO","summary":"Update the RIO of an order","description":"Sets the RIO code of an order in error because of a missing or invalid RIO, or relaunches the order without number portability.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Service name","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/xdsl.updateInvalidOrMissingRio.post"}}}},"responses":{"200":{"description":"successful operation"}},"x-developer-hub-navigation":[["Web Cloud","Internet","Access","Order & Installation@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: xdsl.updateInvalidOrMissingRio.post\nresult = client.post(\"/xdsl/{serviceName}/updateInvalidOrMissingRio\",\n\trelaunchWithoutPortability = None, # Do not set RIO, and relaunch order without portability (type: boolean)\n\trio = None, # RIO number for portability (type: string)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: xdsl.updateInvalidOrMissingRio.post\n$result = $ovh->post(\"/xdsl/{serviceName}/updateInvalidOrMissingRio\", array(\n\trelaunchWithoutPortability => null, // Do not set RIO, and relaunch order without portability (type: boolean)\n\trio => null, // RIO number for portability (type: string)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"xdsl:apiovh:updateInvalidOrMissingRio","required":true}]}}}}
